# Sell Offer

Creates, updates, or deletes a sell offer to trade assets. A sell offer specifies a certain amount of the selling asset that should be sold in exchange for the maximum quantity of the buying asset.

See the [`Manage Sell Offer` errors](/api/errors/result-codes/operation-specific/manage-sell-offer.md).

ATTRIBUTE

* amount `string`

  The amount of `selling_asset` that the account making this offer is willing to sell.
* price `string`

  How many units of `selling_asset` it takes to get 1 unit of `buying_asset`. A number representing the decimal form of `price_r`.
* price\_r `object`

  A precise representation of the buy and sell price of the assets on offer.Hide child attributes

  * n `number`

    The numerator.
  * d `number`

    The denominator.
* buying\_asset\_type `string`

  The type for the buying asset. Either `native`, `credit_alphanum4`, or `credit_alphanum12`.
* buying\_asset\_issuer `string`

  The Stellar address of the buying asset’s issuer. Appears if the `buying_asset_type` is not `native`.
* buying\_asset\_code `string`

  The code for the buying asset. Appears if the `buying_asset_type` is not `native`.
* selling\_asset\_type `string`

  The type for the selling asset. Either `native`, `credit_alphanum4`, or `credit_alphanum12`.
* selling\_asset\_issuer `string`

  The Stellar address of the selling asset’s issuer. Appears if the `selling_asset_type` is not `native`.
* selling\_asset\_code `string`

  The code for the selling asset. Appears if the `selling_asset_type` is not `native`.
* offer\_id `string`

  A unique identifier for this offer.

```bash
{
  "_links": {
    "self": {
      "href": "https://expansion-testnet.bantu.network/operations/124892722640347138"
    },
    "transaction": {
      "href": "https://expansion-testnet.bantu.network/transactions/ef8ffb54ff5990a686fda3ebfc07b8162f042ff0fcdb4f7ff141531e386f0a18"
    },
    "effects": {
      "href": "https://expansion-testnet.bantu.network/operations/124892722640347138/effects"
    },
    "succeeds": {
      "href": "https://expansion-testnet.bantu.network/effects?order=desc\u0026cursor=124892722640347138"
    },
    "precedes": {
      "href": "https://expansion-testnet.bantu.network/effects?order=asc\u0026cursor=124892722640347138"
    }
  },
  "id": "124892722640347138",
  "paging_token": "124892722640347138",
  "transaction_successful": true,
  "source_account": "GCM4PT6XDZBWOOENDS6FOU22GJQLJPV2GC7VRVII4TFGZBA3ZXNM55SV",
  "type": "manage_sell_offer",
  "type_i": 3,
  "created_at": "2020-04-08T13:36:39Z",
  "transaction_hash": "ef8ffb54ff5990a686fda3ebfc07b8162f042ff0fcdb4f7ff141531e386f0a18",
  "amount": "1336.0326986",
  "price": "0.0559999",
  "price_r": {
    "n": 559999,
    "d": 10000000
  },
  "buying_asset_type": "credit_alphanum4",
  "buying_asset_code": "USD",
  "buying_asset_issuer": "GDUKMGUGDZQK6YHYA5Z6AY2G4XDSZPSZ3SW5UN3ARVMO6QSRDWP5YLEX",
  "selling_asset_type": "native",
  "offer_id": "0"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.docs.bantufoundation.org/api/resources/operations/object/sell-offer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
